package com.bytedance.android.livesdk.chatroom.api;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public final class SubInfo {
    public static final Long LIZ = 0L;
    public static final Long LIZIZ = 0L;
    public static final Long LIZJ = 0L;
    public static final Integer LIZLLL = 0;
    public static final Boolean LJ = false;
    public static final Boolean LJFF = false;
    @c(LIZ = "user_id")
    public String LJI;
    @c(LIZ = "anchor_id")
    public String LJII;
    @c(LIZ = "sub_start_time")
    public Long LJIIIIZZ;
    @c(LIZ = "sub_end_time")
    public Long LJIIIZ;
    @c(LIZ = "next_renew_time")
    public Long LJIIJ;
    @c(LIZ = "subscribed_month")
    public Integer LJIIJJI;
    @c(LIZ = "is_subscribing")
    public Boolean LJIIL;
    @c(LIZ = "sub_level")
    public SubLevel LJIILIIL;
    @c(LIZ = "status")
    public int LJIILJJIL;
    @c(LIZ = "sub_info_not_found")
    public Boolean LJIILL;
    @c(LIZ = "sku_name")
    public String LJIILLIIL;
    @c(LIZ = "pay_channel")
    public int LJIIZILJ;
    @c(LIZ = "grace_info")
    public GraceInfo LJIJ;

    static {
        Covode.recordClassIndex(13297);
    }

    public final String toString() {
        StringBuilder sb = new StringBuilder();
        if (this.LJI != null) {
            sb.append(", user_id=");
            sb.append(this.LJI);
        }
        if (this.LJII != null) {
            sb.append(", anchor_id=");
            sb.append(this.LJII);
        }
        if (this.LJIIIIZZ != null) {
            sb.append(", sub_start_time=");
            sb.append(this.LJIIIIZZ);
        }
        if (this.LJIIIZ != null) {
            sb.append(", sub_end_time=");
            sb.append(this.LJIIIZ);
        }
        if (this.LJIIJ != null) {
            sb.append(", next_renew_time=");
            sb.append(this.LJIIJ);
        }
        if (this.LJIIJJI != null) {
            sb.append(", subscribed_month=");
            sb.append(this.LJIIJJI);
        }
        if (this.LJIIL != null) {
            sb.append(", is_subscribing=");
            sb.append(this.LJIIL);
        }
        if (this.LJIILIIL != null) {
            sb.append(", sub_level=");
            sb.append(this.LJIILIIL);
        }
        sb.append(", status=");
        sb.append(this.LJIILJJIL);
        if (this.LJIILL != null) {
            sb.append(", sub_info_not_found=");
            sb.append(this.LJIILL);
        }
        if (this.LJIILLIIL != null) {
            sb.append(", sku_name=");
            sb.append(this.LJIILLIIL);
        }
        sb.append(", pay_channel=");
        sb.append(this.LJIIZILJ);
        if (this.LJIJ != null) {
            sb.append(", grace_info=");
            sb.append(this.LJIJ);
        }
        sb.replace(0, 2, "SubInfo{");
        sb.append('}');
        return sb.toString();
    }
}
